function cleanSignal = cleanPitches(uncleanSignal)
%transforms a pitch-coded signal into clean pitches by setting the maximum
%entry in each pitch code vector to 1, the others to zero
[N, p] = size(uncleanSignal);
cleanSignal = zeros(N,p);
[maxes, maxInds] = max(uncleanSignal');

for n = 1:N
    cleanSignal(n, maxInds(n)) = 1;
end