function [train, test] = split_train_test_8(sample, trainPercentage)

% SPLIT_TRAIN_TEST splits the input into train and test  

dims = length(size(sample));
nSamplePoints = size(sample, 1) ; 

if dims == 2
    nTrainPoints = floor(nSamplePoints * trainPercentage) ;  
    train = sample(1:nTrainPoints,:) ; 
    test  = sample(nTrainPoints+1:end,:) ; 
elseif dims == 3
    nTrainPoints = floor(nSamplePoints * trainPercentage) ;  
    train = sample(1:nTrainPoints,:,:) ; 
    test  = sample(nTrainPoints+1:end,:,:) ; 
end
    


  