function rawSignal = unitCodedToRaw(unitCodedSignal)
% re-transforms unit coded signal into raw signal
% unitCodedSignal is row vector containing membership responses of coding units to
% raw signal

[l, p] = size(unitCodedSignal);
decoder = 0:p - 1;
decoder = decoder';
stretchedSignal = unitCodedSignal * decoder;
rawSignal = stretchedSignal / (p - 1);