function teachCollectMat = compute_teacher_8(sampleOutput, esn, nForgetOutput)
  
nSampleOutput  = size(sampleOutput,1) - nForgetOutput ; 
teachCollectMat = zeros(nSampleOutput, esn.p, esn.d) ;

%delete the first nForgetOutput elements from sampleOutput
teachCollectMat = sampleOutput(nForgetOutput+1:end,:,:) ; 

% scaling and shifting
for i = 1:nSampleOutput
    teachCollectMat(i,:,:) = feval(esn.inverseDataActivationFunction,...
    squeeze(teachCollectMat(i,:,:)) .* esn.teacherScaling + esn.teacherShift);
end

    


